function Layer_h(h)
{
	this.handle = h;

	this.SetBlendMode = function(blendMode)
	{
		return fsLayer_SetBlendMode(this.handle, blendMode);
	}

	this.Render = function()
	{
		return fsLayer_Render(this.handle);
	}

	this.Delete = function()
	{
		return fsLayer_Delete(this.handle);
	}

}
function Layer()
{
	return new Layer_h(fsLayer_Create());
}
